%define oname aMule

Name:           amule
Version:        2.3.1
Release:        %mkrel 1
Summary:        File sharing client compatible with eDonkey
License:        GPLv2+
Group:          Networking/File transfer

Source:         http://ovh.dl.sourceforge.net/sourceforge/amule/%{oname}-%{version}.tar.bz2
Source10:       %{name}-16.png
Source11:       %{name}-32.png
Source12:       %{name}-48.png
#gw in 2011.0, the segv handler is disabled. Add the missing preprocessor
# stuff to fix the build
#Patch0: aMule-2.2.6-fix-build-without-wx-segv-handler.patch
URL:            http://amule.org

BuildRequires:  gd-devel >= 2.0
BuildRequires:  curl-devel
Buildrequires:  ncurses-devel
Buildrequires:  readline-devel
BuildRequires:  gettext-devel
Buildrequires:  desktop-file-utils
BuildRequires:  libwxgtku-devel >= 2.8
BuildRequires:  libcryptopp-devel
BuildRequires:  libupnp-devel
BuildRequires:  geoip-devel
BuildRequires:  binutils-devel

%rename         amule1

Conflicts:      xmule < 1.6.0-2plf

%description
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network. It
is a fork of xMule, whis was based on emule for Windows. aMule currently
supports (but is not limited to) the following platforms: Linux, *BSD and
MacOSX.


%package commandline
Summary:        File sharing client compatible with eDonkey
Group:          Networking/File transfer
Requires:       %{name}

%description commandline
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network. It
is a fork of xMule, whis was based on emule for Windows. aMule currently
supports (but is not limited to) the following platforms: Linux, *BSD and
MacOSX.

This is the command line tool to control aMule remotely (or locally:).


%package webserver
Summary:        File sharing client compatible with eDonkey
Group:          Networking/File transfer
Requires:       %{name}

%description webserver
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network. It
is a fork of xMule, whis was based on emule for Windows. aMule currently
supports (but is not limited to) the following platforms: Linux, *BSD and
MacOSX.

This is the webserver to control aMule remotely (or locally:).


%prep
%setup -q -n %{oname}-%{version}

%build

%configure2_5x \
    --with-wx-config=%{_bindir}/wx-config\
    --enable-amulecmd \
    --enable-amule-gui \
    --enable-webserver\
    --enable-cas\
    --enable-wxcas\
    --enable-alc\
    --enable-alcc \
    --disable-debug\
    --enable-amule-daemon \
    --enable-optimize \
    --enable-geoip \
    --enable-xas
%make

%install
%makeinstall_std
#rm -rf %{buildroot}/%{_datadir}/locale/ee/LC_MESSAGES/amule.mo

install -m 644 -D %{SOURCE10} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE12} %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_menudir}

# Fix wrong-script-end-of-line-encoding
perl -pi -e 's/\015$//' %{buildroot}%{_datadir}/doc/%{name}-%{version}/%{name}-win32.HOWTO.txt

rm -f %{buildroot}%{_datadir}/doc/%{name}-%{version}/man/.cvsignore

mv %{buildroot}%{_bindir}/ed2k %{buildroot}%{_bindir}/ed2k-%{name}
rm -rf %{buildroot}%{_datadir}/doc/%{oname}-%{version}
rm -f %{buildroot}%{_libdir}/xchat/plugins/xas.pl

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-man
%find_lang alc --with-man
%find_lang amulegui --with-man
%find_lang cas --with-man
%find_lang ed2k --with-man
%find_lang wxcas --with-man
%find_lang xas --with-man
cat alc.lang amulegui.lang cas.lang ed2k.lang wxcas.lang xas.lang  >> %{name}.lang

%find_lang alcc --with-man
%find_lang amulecmd --with-man
%find_lang amuled --with-man
cat alcc.lang amulecmd.lang amuled.lang  > %{name}-commandline.lang

%find_lang amuleweb --with-man
cat amuleweb.lang  > %{name}-webserver.lang

%post
update-alternatives --install %{_bindir}/ed2k ed2k %{_bindir}/ed2k-%{name} 5

%postun
update-alternatives --remove ed2k %{_bindir}/ed2k-%{name}

%files -f %{name}.lang
%doc docs/* 
%{_datadir}/applications/alc.desktop
%{_datadir}/applications/wxcas.desktop
%{_datadir}/pixmaps/alc.xpm
%{_datadir}/pixmaps/wxcas.xpm
%{_bindir}/amule
%{_bindir}/autostart-xas
%{_bindir}/amulegui
%{_bindir}/wxcas
%{_bindir}/cas
%{_bindir}/ed2k-amule
%{_bindir}/alc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/skins
%{_datadir}/applications/amule.desktop
%{_datadir}/applications/amulegui.desktop
%{_datadir}/pixmaps/amule.xpm
%{_datadir}/pixmaps/amulegui.xpm
%{_datadir}/cas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/alc.1*
%{_mandir}/man1/amule.1*
%{_mandir}/man1/amulegui.1*
%{_mandir}/man1/cas.1*
%{_mandir}/man1/ed2k.1*
%{_mandir}/man1/wxcas.1*
%{_mandir}/man1/xas.1*

%files commandline -f %{name}-commandline.lang
%{_bindir}/%{name}cmd
%{_bindir}/alcc
%{_bindir}/amuled
%{_mandir}/man1/alcc.1*
%{_mandir}/man1/amulecmd.1*
%{_mandir}/man1/amuled.1*

%files webserver -f %{name}-webserver.lang
%{_bindir}/%{name}web
%{_datadir}/amule/webserver/*
%{_mandir}/man1/amuleweb.1*


%changelog

* Sat Jan 28 2012 kamil <kamil> 2.3.1-1.mga2
+ Revision: 202574
- new version 2.3.1
- use %%find_lang for man-pages
- clean .spec

* Mon Oct 31 2011 dmorgan <dmorgan> 2.3.1-0.rc2.1.mga2
+ Revision: 160520
- New version 2.3.1 rc2

* Wed Sep 21 2011 fwang <fwang> 2.3.1-0.rc1.4.mga2
+ Revision: 146203
- rebuild for new libpng
- rebuild for new libupnp

  + ahmad <ahmad>
    - Replace libgeoip-devel with geoip-devel

* Sun May 08 2011 dmorgan <dmorgan> 2.3.1-0.rc1.2.mga1
+ Revision: 95964
- Remove PLF Reason

* Sun May 08 2011 dmorgan <dmorgan> 2.3.1-0.rc1.1.mga1
+ Revision: 95963
- Fix file list
- Fix typo
- Update to 2.3.1 Rc1
- Do not apply patch0
- imported package amule

